/* @import url('https://fonts.cdnfonts.com/css/ica-rubrik-black');
@import url('https://fonts.cdnfonts.com/css/poppins'); */
.slider3d_wrapper{
    width: 100%;
    height: 550px;
    text-align: center;
    overflow: hidden;
    position: relative;
    transform: translateY(-20px);
}
.slider3d_wrapper .phones{
    position: absolute;
    width: 200px;
    height: 100%;
    top: 10%;
    left: calc(50% - 100px);
    transform-style: preserve-3d;
    transform: perspective(1000px);
    animation: autoRun 10s linear infinite forwards;
    -webkit-animation: autoRun 10s linear infinite forwards;
    z-index: 2;
}
.slider3d_wrapper .phones:hover{
    animation-play-state: paused;
    -webkit-animation-play-state: paused;
    z-index: 2;
}

@keyframes autoRun{
    from{
        transform: perspective(1000px) rotateX(-5deg)  rotateY(0deg);
    }to{
        transform: perspective(1000px) rotateX(-5deg)  rotateY(360deg);
    }
}

.phone > div {
    box-shadow: 0 0 3px 3px rgba(255, 255, 255, 0.5);
    animation: autoLight 1s linear infinite alternate ;
    -webkit-animation:  autoLight 1s linear infinite alternate;
    -webkit-box-reflect: below -5px linear-gradient(0deg, rgba(0, 0, 0, 0.25) 0%, rgba(0, 0, 0, 0) 15%, rgba(0, 0, 0, 0) 100%);
}

@keyframes autoLight{
    from{
        box-shadow:0 0 3px 2px #8bff91;
    }to{
        box-shadow: 0 0 15px 3px #00ff25;
    }
}


.slider3d_wrapper .phones .phone{
    position: absolute;
    inset: 0 0 0 0;
    transform: 
        rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg)) translateZ(100px);
}
.slider3d_wrapper .phones .phone img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.slider3d_wrapper .content{
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: min(1400px, 100vw);
    height: max-content;
    padding-bottom: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    z-index: 1;
}
.slider3d_wrapper .content h1{
    font-family: 'ICA Rubrik';
    font-size: 16em;
    line-height: 1em;
    color: #25283B;
    position: relative;
}
.slider3d_wrapper .content h1::after{
    position: absolute;
    inset: 0 0 0 0;
    content: attr(data-content);
    z-index: 2;
    -webkit-text-stroke: 2px #d2d2d2;
    color: transparent;
}
.slider3d_wrapper .content .author{
    font-family: Poppins;
    text-align: right;
    max-width: 200px;
}
.slider3d_wrapper .content h2{
    font-size: 3em;
}
.slider3d_wrapper .content .model{
    background-image: url(images/model.png);
    width: 100%;
    height: 75vh;
    position: absolute;
    bottom: 0;
    left: 0;
    background-size: auto 130%;
    background-repeat: no-repeat;
    background-position: top center;
    z-index: 1;
}
@media screen and (max-width: 1023px) {
    /* .slider3d_wrapper .phones{
        width: 160px;
        height: 200px;
        left: calc(50% - 80px);
    }
    .slider3d_wrapper .phones .phone{
        transform: 
            rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
            translateZ(300px);
    } */
    .slider3d_wrapper .content h1{
        text-align: center;
        width: 100%;
        text-shadow: 0 10px 20px #000;
        font-size: 7em;
    }
    .slider3d_wrapper .content .author{
        color: #fff;
        padding: 20px;
        text-shadow: 0 10px 20px #000;
        z-index: 2;
        max-width: unset;
        width: 100%;
        text-align: center;
        padding: 0 30px;
    }
}
@media screen and (max-width: 767px) {
    /* .slider3d_wrapper .phones{
        width: 100px;
        height: 150px;
        left: calc(50% - 50px);
    }
    .slider3d_wrapper .phones .phone{
        transform: 
            rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
            translateZ(180px);
    } */
    .slider3d_wrapper .content h1{
        font-size: 5em;
    }
}